<template>
  <div class="d-flex flex-column">
    <div class="card card-flush mb-5 mb-xl-8 p-5 shadow-sm">
      <paginacion
        ref="mapaSubastaBuscarPaginacion"
        :cantidades="[5,10,50,100]"
        :datos="subastas"
        @on-mostrar-pagina="onMostrarPagina"
      />
    </div>

    <div class="card card-rounded card-flush mb-5 shadow-sm h-400px h-xl-650px h-xxl-475px">
      <div
        class="card-body p-2"
        style="height: 100% !important"
      >
        <GoogleMap
          class="h-100"
          api-key="AIzaSyA2XeZf5gGUwUTKl9y-hq2GsMdTlCJCgds"
          style="width: 100%; height: 100%"
          :center="{lat: sSubasta.latitud, lng: sSubasta.longitud}"
          :zoom="9"
        >
          <Marker
            v-for="subasta in pSubastas"
            :key="subasta.id"
            :options="{ position: {lat: subasta.latitud, lng: subasta.longitud}, draggable: false, clickable: true }"
          >
            <InfoWindow>
              <div id="contet">
                <div id="siteNotice">
                  <img
                    :src="subasta.imagen"
                    class="img-fluid h-100px"
                    alt="imagen"
                  >
                </div>
                <h1
                  id="firstHeading"
                  class="firstHeading"
                  v-text="'Subasta N° ' + subasta.id"
                />

                <div id="bodyContent d-flex flex-column">
                  <p class="fs-6 fw-bolder text-gray-900">
                    Remate: <span
                      class="fs-6 fw-normal text-gray-600"
                      v-text="subasta.fechaRemate + ' ' + subasta.horaRemate"
                    />
                  </p>
                  <p class="fs-6 fw-bolder text-gray-900">
                    Cabezas: <span
                      class="fs-6 fw-normal text-gray-600"
                      v-text="subasta.cantidadAnimal"
                    />
                  </p>
                  <p class="fs-6 fw-bolder text-gray-900">
                    Peso promedio:
                    <span
                      class="fs-6 fw-normal text-gray-600"
                      v-text="subasta.pesoPromedio + ' Kg'"
                    />
                  </p>
                  <p class="fs-6 fw-bolder text-gray-900">
                    Precio: <span
                      class="fs-6 fw-normal text-gray-600"
                      v-text="subasta.precioReferencial + ' ' + subasta.tipoMoneda"
                    />
                  </p>
                  <p>
                    <router-link :to="{ name: 'panel.subasta.mostrar', params: { id: subasta.id }}">
                      más detalle
                    </router-link>
                  </p>
                </div>
              </div>
            </InfoWindow>
          </Marker>
        </GoogleMap>
      </div>
    </div>
  </div>
</template>
<script>
import Paginacion from "@/components/util/Paginacion2";
import { GoogleMap, Marker, InfoWindow  } from "vue3-google-map";

export default {
  name: 'MapaSubastaBuscar',
  components: {
    GoogleMap, Marker, InfoWindow, Paginacion
  },
  props: {
    subastas: {type: Array, required: true}
  },
  data() {
    return {
      sSubasta: {latitud: -17.783602, longitud: -63.182327},
      pSubastas: []
    }
  },

  mounted() {
  },
  methods: {
    onMostrarPagina(datos) {
      this.pSubastas = datos;
      if(this.pSubastas.length > 0) {
        this.sSubasta = this.pSubastas[0];
      } else {
        this.sSubasta = {latitud: -17.783602, longitud: -63.182327};
      }
    },

  },

}
</script>